> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipevest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio

> Returns list of assets for a given customer



## OpenAPI

````yaml GET /portfolio
openapi: 3.0.0
info:
  title: Pipevest Investment API
  description: Connecting millions of Africans to the global economy
  version: 0.0.1
servers:
  - url: https://api.pipevest.com/v1
    description: Production server
  - url: https://api.staging.pipevest.com/v1
    description: Staging server
security:
  - BearerAuth: []
paths:
  /portfolio:
    parameters:
      - $ref: '#/components/parameters/Signature'
      - $ref: '#/components/parameters/SignatureInput'
      - $ref: '#/components/parameters/XCliendId'
    get:
      tags:
        - Portfolio
      summary: Returns list of portfolios for a customer
      parameters:
        - name: customerId
          in: query
          description: the customer unique id
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/SortParam'
      responses:
        '200':
          description: A JSON array of investment portfolios
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessMeta'
                  - type: object
                    properties:
                      data:
                        type: array
                        description: >
                          Portfolios with an `accountId` was automatically
                          created by `Pipevest` with an associated account.


                          Wherein there is no `accountId`, the Portfolio was
                          manually created via the API and does not have an
                          associated account.
                        items:
                          $ref: '#/components/schemas/Portfolio'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Signature:
      in: header
      name: Signature
      schema:
        type: string
        example: 'sig1=:OTEyMjY4...A5NTNDMEQ=:'
        description: >
          Base64 encoded signed hash of the http message request components.


          [Learn how signatures
          work](/concepts/http-signature/message-signature)
      required: true
    SignatureInput:
      in: header
      name: Signature-Input
      schema:
        type: string
        example: sig1=("Content-Type" "Content-Digest"...expires=<expires>
        description: >
          An ordered list of components that make up the signature base. It is
          used to recompute and verify the `Signature`


          [Learn how signatures
          work](/concepts/http-signature/message-signature)
      required: true
    XCliendId:
      in: header
      name: X-Client-Id
      schema:
        $ref: '#/components/schemas/ClientId'
      example: client-id
      required: true
    PageParam:
      in: query
      name: page
      schema:
        $ref: '#/components/schemas/Page'
    LimitParam:
      in: query
      name: limit
      schema:
        $ref: '#/components/schemas/Limit'
    SortParam:
      in: query
      name: sort
      schema:
        $ref: '#/components/schemas/Sort'
  schemas:
    SuccessMeta:
      allOf:
        - $ref: '#/components/schemas/Success'
        - type: object
          properties:
            meta:
              $ref: '#/components/schemas/Meta'
          required:
            - meta
    Portfolio:
      type: object
      description: An investment portfolio
      properties:
        portfolioId:
          $ref: '#/components/schemas/PortfolioId'
        accountId:
          $ref: '#/components/schemas/AccountId'
        customerId:
          $ref: '#/components/schemas/CustomerId'
        currency:
          $ref: '#/components/schemas/Currency'
        investmentAmount:
          $ref: '#/components/schemas/InvestmentAmount'
        marketValue:
          $ref: '#/components/schemas/MarketValue'
        performance:
          $ref: '#/components/schemas/Performance'
        status:
          $ref: '#/components/schemas/PortfolioStatus'
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
        updatedAt:
          $ref: '#/components/schemas/UpdatedAt'
      required:
        - portfolioId
        - currency
        - investmentAmount
        - marketValue
        - performance
        - status
        - createdAt
        - updatedAt
    ClientId:
      description: Unique identifier assigned to the client
      type: string
      example: client-id
    Page:
      description: The page offset for the items returned
      type: integer
      minimum: 0
      example: 0
    Limit:
      description: The maximum numbers of items to return.
      type: integer
      minimum: 1
      maximum: 1000
      default: 100
      example: 100
    Sort:
      description: |
        The date order in which to sort the items

        This currently only works to sort `createdAt`.
      enum:
        - ASC
        - DESC
      example: ASC
    Success:
      type: object
      properties:
        data:
          oneOf:
            - type: object
            - type: array
        code:
          $ref: '#/components/schemas/ResponseCode'
        message:
          $ref: '#/components/schemas/ResponseMessage'
      required:
        - data
        - code
        - message
    Meta:
      type: object
      properties:
        previousPage:
          allOf:
            - $ref: '#/components/schemas/Page'
            - description: The previous page offset for the items returned
        currentPage:
          $ref: '#/components/schemas/Page'
        nextPage:
          allOf:
            - $ref: '#/components/schemas/Page'
            - description: The next page offset for the items returned
        limit:
          $ref: '#/components/schemas/Limit'
        currentCount:
          $ref: '#/components/schemas/CountCurrent'
        totalCount:
          $ref: '#/components/schemas/CountTotal'
        sort:
          allOf:
            - $ref: '#/components/schemas/Sort'
            - description: Order for `createdAt` in which the list was returned.
      required:
        - previousPage
        - currentPage
        - nextPage
        - limit
        - currentCount
        - totalCount
        - sort
    PortfolioId:
      description: Unique portfolio identifier
      type: integer
      example: 123456
    AccountId:
      description: Unique account identifier
      type: integer
      example: 123456
    CustomerId:
      description: Unique customer identifier
      type: integer
      example: 123456
    Currency:
      description: Associated currency
      enum:
        - USD
        - EUR
        - ZK
      example: ZK
    InvestmentAmount:
      description: The total amount invested into an asset or group of assets
      type: integer
      example: 1550
    MarketValue:
      description: The current market value of an asset or group of assets
      type: integer
      example: 11550
    Performance:
      description: >
        The performance of all the assets under the portfolio.


        This value is represented as a percentage increase or decrease over the
        lifetime of the portfolio
      type: integer
      example: 151
    PortfolioStatus:
      description: Current status of the portfolio
      enum:
        - ACTIVE
        - SUSPENDED
        - CLOSED
      example: ACTIVE
    CreatedAt:
      description: Created at unix timestamp
      type: integer
      example: 1234567890
    UpdatedAt:
      description: Updated at unix timestamp
      type: integer
      example: 1234567890
    Error:
      type: object
      properties:
        code:
          allOf:
            - $ref: '#/components/schemas/ResponseCode'
            - example: 401
        message:
          allOf:
            - $ref: '#/components/schemas/ResponseMessage'
            - example: Unauthorized
      required:
        - code
        - message
    ResponseCode:
      description: Request response code
      type: string
      example: 200
    ResponseMessage:
      description: Request response message
      type: string
      example: Success
    CountCurrent:
      description: Total number of results returned with a request
      type: integer
      example: 100
    CountTotal:
      description: Total number of returnable results
      type: integer
      example: 1000
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - type: object
                properties:
                  code:
                    type: string
                    example: 404
                  message:
                    type: string
                    example: Not Found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````